﻿<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<title>Стартовая страница</title>
	</head>
	<body onload="getSearch()">
	<style>
		body {
		padding : 0;
		margin : 0;
		width : 100vw;
		height : 100vh;
		overflow : hidden;
		text-align : center;
		background : linear-gradient(to top, #26327a, #45c7f1);
		}
		
		.img {
		width : 50vw;
		height : 40vh;
		display : block;
		margin : 5vh auto;
        visibility : hidden;
		}
		
		.string {
		height : 7.5vh;
		background : white;
		font-size : 4vh;
		width : 65vw;
		text-align : center;
		border : none;
		}
		
		.But {
		cursor : pointer;
		height : 7.5vh;
		font-size : 4vh;
		width : 6vw;
		text-align : center;
		color : white;
		background : rgba(255, 255, 255, 0.1);
		border : solid 0.5vh white;
		text-shadow : 0px 0px 3px black;
		}
		
		.But:hover {
		background : rgba(255, 255, 255, 0.2);
		}	
		
		.But:active {
		background : rgba(255, 255, 255, 0.3);
		}

        #frame {
        display : none;
        }
	</style>
	<script>
        function getSearch() {
			document.getElementById('form').setAttribute('action', document.getElementById('frame').contentWindow.document.body.innerHTML);
		}
	</script>
		<main>
		<form target="_self" id="form">
		<img class="img">
		<input type="text" name="q" class="string" placeholder="Поиск"><input type="submit" class="But" value=">">
		</form>
		<iframe src="../NULLsearch.html" id="frame">
		</main>
	</body>
</html>document.getElementById('frame').contentWindow.document.body.innerHTML;
		}
